- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::WaveletTransform Class Reference

A class to do wavelet transforms. More...

`#include <wavelet_utils.h>`

List of all members.

## Public Member Functions
| WaveletTransform (int d=4, WltFilter f=DAUB)
| Constructor.
virtual | ~WaveletTransform ()
| Destructor.
void | Transform (const Direction d, PicArray &pic_data)
| Transforms the data to and from the wavelet domain.
SubbandList & | BandList ()
| Returns the set of subbands.
const SubbandList & | BandList () const
| Returns the set of subbands.
void | SetBandWeights (const float cpd, const FrameSort &fsort, const ChromaFormat &cformat, const CompSort csort)
| Sets the subband weights.

## Detailed Description

A class to do wavelet transforms.

A class to do forward and backward wavelet transforms by iteratively splitting or merging the lowest frequency band.

Definition at line 263 of file wavelet_utils.h.

## Member Function Documentation

void WaveletTransform::SetBandWeights | ( | const float | cpd,
|  | const FrameSort & | fsort,
|  | const ChromaFormat & | cformat,
|  | const CompSort | csort
| ) |

  | Sets the subband weights. Sets perceptual weights for the subbands. Takes into account both perceptual factors (weight noise less at higher spatial frequencies) and the scaling needed for the wavelet transform. Parameters:
  | cpd | perctual factor - the number of cycles per degree
  | fsort | the frame sort (I, L1 or L2)
  | cformat | the chroma format
  | csort | the component type (Y, U or V)
Definition at line 493 of file wavelet_utils.cpp. Referenced by dirac::CompCompressor::Compress().

void WaveletTransform::Transform | ( | const Direction | d,
|  | PicArray & | pic_data
| ) |

  | Transforms the data to and from the wavelet domain. Transforms the data to and from the wavelet domain. Parameters:
  | d | the direction of the transform
  | pic_data | the data to be transformed
Definition at line 158 of file wavelet_utils.cpp. References dirac::SubbandList::Clear(), dirac::SubbandList::Init(), dirac::TwoDArray< T >::LengthX(), and dirac::TwoDArray< T >::LengthY(). Referenced by dirac::CompCompressor::Compress().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/wavelet_utils.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/wavelet_utils.cpp